Subject: Re: about QoS

From: "Raghu V.V.J Vadapalli" <[email-masked]>
Date: Thu, 8 Oct 1998 10:24:26 -0700 (PDT)

hai,
The reasons can be:
IPv4 has TOS bit. But most of the current implementations ignore 
that bit. ( I think it is same ( to some extent ) ur proposal. 
1. If u have only bit then u can't support different classes of QoS.
2. RSVP and MPLS are not just not ment for QoS but Multicast QoS
service.
( I mean they provide mechanisms to support such stuff)
3. Treating all the classes the same, other than the best effort 
traffic is not a good n/w design. 
 4. Why do u think RSVP  implementation is diffcult. I think some body
a good implementation. I remember that somebody mentioned about their
 implementation in this mailing list. ( I agree that deployment in the
current interner is diffcult..) 
 5. If you want to support IP telephony kind of applications 
 we need RSVP.   

Correct me If I am wrong.

Thanks
-Raghu.

---rick king <[email-masked]> wrote:
>
> As I have know about MPLS,RSVP,Diffserv,they are all supposed to
offer QoS
> over Internet.But all difficult to implement. I wonder why not use
only one
> bit in IP header to indicate this packet's priority? Let's call this
bit as
> P bit. If it's set to 1,then the packet has high priority.otherwise
the
> packet is treat as usual.The router will keep the delay of high
priority
> packet within a range.When congestion occur ,the router will discard
the
> packet with P=0.
> 
> If you set P to 1,then you will pay for it.Every host and router can
set the
> P bit.if the router decide that the network can't support too much
packet
> with P=1,it can override the P bit ,and you will not be charged.
> 
> I think this method is easy to put in practice.any suggestion to it?
> 
> 

==
------------------------------------------------------------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com